## Service

Service

## Synopsis

    #include <libtracker-common/tracker-service.h>

                        TrackerService;
    TrackerService *    tracker_service_new                 (void);
    const gchar *       tracker_service_get_content_metadata
                                                            (TrackerService *service);
    TrackerDBType       tracker_service_get_db_type         (TrackerService *service);
    gboolean            tracker_service_get_embedded        (TrackerService *service);
    gboolean            tracker_service_get_enabled         (TrackerService *service);
    gboolean            tracker_service_get_has_full_text   (TrackerService *service);
    gboolean            tracker_service_get_has_metadata    (TrackerService *service);
    gboolean            tracker_service_get_has_thumbs      (TrackerService *service);
    gint                tracker_service_get_id              (TrackerService *service);
    const GSList *      tracker_service_get_key_metadata    (TrackerService *service);
    const gchar *       tracker_service_get_name            (TrackerService *service);
    const gchar *       tracker_service_get_parent          (TrackerService *service);
    const gchar *       tracker_service_get_property_prefix (TrackerService *service);
    gboolean            tracker_service_get_show_service_directories
                                                            (TrackerService *service);
    gboolean            tracker_service_get_show_service_files
                                                            (TrackerService *service);
    void                tracker_service_set_content_metadata
                                                            (TrackerService *service,
                                                             const gchar *value);
    void                tracker_service_set_db_type         (TrackerService *service,
                                                             TrackerDBType value);
    void                tracker_service_set_embedded        (TrackerService *service,
                                                             gboolean value);
    void                tracker_service_set_enabled         (TrackerService *service,
                                                             gboolean value);
    void                tracker_service_set_has_full_text   (TrackerService *service,
                                                             gboolean value);
    void                tracker_service_set_has_metadata    (TrackerService *service,
                                                             gboolean value);
    void                tracker_service_set_has_thumbs      (TrackerService *service,
                                                             gboolean value);
    void                tracker_service_set_id              (TrackerService *service,
                                                             gint value);
    void                tracker_service_set_key_metadata    (TrackerService *service,
                                                             const GSList *value);
    void                tracker_service_set_name            (TrackerService *service,
                                                             const gchar *value);
    void                tracker_service_set_parent          (TrackerService *service,
                                                             const gchar *value);
    void                tracker_service_set_property_prefix (TrackerService *service,
                                                             const gchar *value);
    void                tracker_service_set_show_service_directories
                                                            (TrackerService *service,
                                                             gboolean value);
    void                tracker_service_set_show_service_files
                                                            (TrackerService *service,
                                                             gboolean value);

## Object Hierarchy

      GObject
       +----TrackerService

## Properties

      "content-metadata"         gchar*                : Read / Write
      "db-type"                  TrackerDBType         : Read / Write
      "embedded"                 gboolean              : Read / Write
      "enabled"                  gboolean              : Read / Write
      "has-full-text"            gboolean              : Read / Write
      "has-metadata"             gboolean              : Read / Write
      "has-thumbs"               gboolean              : Read / Write
      "id"                       gint                  : Read / Write
      "key-metadata"             gpointer              : Read / Write
      "name"                     gchar*                : Read / Write
      "parent"                   gchar*                : Read / Write
      "property-prefix"          gchar*                : Read / Write
      "show-service-directories" gboolean              : Read / Write
      "show-service-files"       gboolean              : Read / Write

## Description

## Details

### TrackerService

    typedef struct _TrackerService TrackerService;

### tracker_service_new ()

    TrackerService *    tracker_service_new                 (void);

Returns : |

### tracker_service_get_content_metadata ()

    const gchar *       tracker_service_get_content_metadata
                                                            (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_db_type ()

    TrackerDBType       tracker_service_get_db_type         (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_embedded ()

    gboolean            tracker_service_get_embedded        (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_enabled ()

    gboolean            tracker_service_get_enabled         (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_has_full_text ()

    gboolean            tracker_service_get_has_full_text   (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_has_metadata ()

    gboolean            tracker_service_get_has_metadata    (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_has_thumbs ()

    gboolean            tracker_service_get_has_thumbs      (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_id ()

    gint                tracker_service_get_id              (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_key_metadata ()

    const GSList *      tracker_service_get_key_metadata    (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_name ()

    const gchar *       tracker_service_get_name            (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_parent ()

    const gchar *       tracker_service_get_parent          (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_property_prefix ()

    const gchar *       tracker_service_get_property_prefix (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_show_service_directories ()

    gboolean            tracker_service_get_show_service_directories
                                                            (TrackerService *service);

`service` : |
Returns : |

### tracker_service_get_show_service_files ()

    gboolean            tracker_service_get_show_service_files
                                                            (TrackerService *service);

`service` : |
Returns : |

### tracker_service_set_content_metadata ()

    void                tracker_service_set_content_metadata
                                                            (TrackerService *service,
                                                             const gchar *value);

`service` : |
`value` : |

### tracker_service_set_db_type ()

    void                tracker_service_set_db_type         (TrackerService *service,
                                                             TrackerDBType value);

`service` : |
`value` : |

### tracker_service_set_embedded ()

    void                tracker_service_set_embedded        (TrackerService *service,
                                                             gboolean value);

`service` : |
`value` : |

### tracker_service_set_enabled ()

    void                tracker_service_set_enabled         (TrackerService *service,
                                                             gboolean value);

`service` : |
`value` : |

### tracker_service_set_has_full_text ()

    void                tracker_service_set_has_full_text   (TrackerService *service,
                                                             gboolean value);

`service` : |
`value` : |

### tracker_service_set_has_metadata ()

    void                tracker_service_set_has_metadata    (TrackerService *service,
                                                             gboolean value);

`service` : |
`value` : |

### tracker_service_set_has_thumbs ()

    void                tracker_service_set_has_thumbs      (TrackerService *service,
                                                             gboolean value);

`service` : |
`value` : |

### tracker_service_set_id ()

    void                tracker_service_set_id              (TrackerService *service,
                                                             gint value);

`service` : |
`value` : |

### tracker_service_set_key_metadata ()

    void                tracker_service_set_key_metadata    (TrackerService *service,
                                                             const GSList *value);

`service` : |
`value` : |

### tracker_service_set_name ()

    void                tracker_service_set_name            (TrackerService *service,
                                                             const gchar *value);

`service` : |
`value` : |

### tracker_service_set_parent ()

    void                tracker_service_set_parent          (TrackerService *service,
                                                             const gchar *value);

`service` : |
`value` : |

### tracker_service_set_property_prefix ()

    void                tracker_service_set_property_prefix (TrackerService *service,
                                                             const gchar *value);

`service` : |
`value` : |

### tracker_service_set_show_service_directories ()

    void                tracker_service_set_show_service_directories
                                                            (TrackerService *service,
                                                             gboolean value);

`service` : |
`value` : |

### tracker_service_set_show_service_files ()

    void                tracker_service_set_show_service_files
                                                            (TrackerService *service,
                                                             gboolean value);

`service` : |
`value` : |

## Property Details

### The `"content-metadata"` property

      "content-metadata"         gchar*                : Read / Write

Content metadata.

Default value: NULL

### The `"db-type"` property

      "db-type"                  TrackerDBType         : Read / Write

Database type.

Default value: TRACKER_DB_TYPE_DATA

### The `"embedded"` property

      "embedded"                 gboolean              : Read / Write

Embedded.

Default value: FALSE

### The `"enabled"` property

      "enabled"                  gboolean              : Read / Write

Enabled.

Default value: TRUE

### The `"has-full-text"` property

      "has-full-text"            gboolean              : Read / Write

Has full text.

Default value: FALSE

### The `"has-metadata"` property

      "has-metadata"             gboolean              : Read / Write

Has metadata.

Default value: FALSE

### The `"has-thumbs"` property

      "has-thumbs"               gboolean              : Read / Write

Has thumbnails.

Default value: FALSE

### The `"id"` property

      "id"                       gint                  : Read / Write

Unique identifier for this service.

Allowed values: >= 0

Default value: 0

### The `"key-metadata"` property

      "key-metadata"             gpointer              : Read / Write

Key metadata.

### The `"name"` property

      "name"                     gchar*                : Read / Write

Service name.

Default value: NULL

### The `"parent"` property

      "parent"                   gchar*                : Read / Write

Service name of parent.

Default value: NULL

### The `"property-prefix"` property

      "property-prefix"          gchar*                : Read / Write

The properties of this category are prefix:name.

Default value: NULL

### The `"show-service-directories"` property

      "show-service-directories" gboolean              : Read / Write

Show service directories.

Default value: FALSE

### The `"show-service-files"` property

      "show-service-files"       gboolean              : Read / Write

Show service files.

Default value: FALSE